/*****************************************************************************
 *               Copyright (C) 2011, Huawei Tech. Co., Ltd.
 *                           ALL RIGHTS RESERVED
******************************************************************************/
/**\file dnscmsdb.h
  *TR181dnsڵصͷļ
  *\copyright 2007-2020Ϊ޹˾
  *\author t00189036
  *\date  2012-6-25
*/
#ifndef __DNSCMS_DB_H__
#define __DNSCMS_DB_H__
#include "atputil.h"
#include "msgapi.h"
#include "cfmapi.h"

typedef enum
{
    ATP_DNS_SERVERTYPE_DHCPV4,
    ATP_DNS_SERVERTYPE_DHCPV6,
    ATP_DNS_SERVERTYPE_RA,
    ATP_DNS_SERVERTYPE_IPCP,
    ATP_DNS_SERVERTYPE_STATIC,
}ATP_DNS_SERVERTYPE_EN;

typedef struct tagATP_DNS_INFO_ST
{
    VOS_CHAR                acServers[ATP_STRING_LEN_128];//v6dns
    VOS_CHAR                acIntf[ATP_STRING_LEN_256];//Ӧipʵ·
    ATP_DNS_SERVERTYPE_EN   enServerType;//
} ATP_DNS_INFO_ST;

#ifdef __cplusplus
#if __cplusplus
extern "C" {
#endif /* __cpluscplus */
#endif /* __cpluscplus */
/*!
  \brief DNSڵapi,ҪͬʱDNS.Client.ServerDNS.Relay.Forwardingڵ
  \param[in]  pstServerInfo: װDNS serverϢ
  \return ɹVOS_OKʧܷش
*/
VOS_UINT32 ATP_DNSCMS_AddServer(const ATP_DNS_INFO_ST* pstServerInfo);
/*!
  \brief ɾDNSڵapi,ҪͬʱɾDNS.Client.ServerDNS.Relay.Forwardingڵ
  \param[in]  pcIpintf: ҪɾDNS serverϢӦIP.Interfaceʵ
  \param[in]  enDNSType: ҪɾDNS serverϢӦͣһIP.InterfaceʵܶӦͬ͵DNSڵʵ
  \return ɹVOS_OKʧܷش
*/
VOS_UINT32 ATP_DNSCMS_DelServer(const VOS_CHAR* pcIpintf, ATP_DNS_SERVERTYPE_EN enDNSType);
#ifdef __cplusplus
#if __cplusplus
}
#endif /* __cpluscplus */
#endif /* __cpluscplus */

#endif  /* __DNSCMS_DB_H__ */

